Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageResample Class Reference

`#include <vtkImageResample.h>`

Inheritance diagram for vtkImageResample:

[legend]
Collaboration diagram for vtkImageResample:

[legend]
List of all members.

## Detailed Description

Resamples an image to be larger or smaller.

Date:
  2002/06/17 18:17:50

Revision:
  1.33

This filter produces an output with different spacing (and extent) than the input. Linear interpolation can be used to resample the data. The Output spacing can be set explicitly or relative to input spacing with the SetAxisMagnificationFactor method.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Martin, Ken (41%)
  - Law, Charles (39%)
  - Gobbi, David (15%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageResample.cxx)`
  - .`h` (`/Imaging/vtkImageResample.h)`

Examples:
  vtkImageResample (Examples)

Tests:
  vtkImageResample (Tests)

Definition at line 52 of file vtkImageResample.h.

## Public Types
typedef vtkImageReslice | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetAxisOutputSpacing (int axis, float spacing)
void | SetAxisMagnificationFactor (int axis, float factor)
float | GetAxisMagnificationFactor (int axis)
virtual void | SetDimensionality (int)
virtual int | GetDimensionality ()
## Static Public Methods
vtkImageResample * | New ()
int | IsTypeOf (const char *type)
vtkImageResample * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageResample ()
| ~vtkImageResample ()
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ExecuteInformation ()
## Protected Attributes
float | MagnificationFactors [3]
float | OutputSpacing [3]
int | Dimensionality

## Member Typedef Documentation

typedef vtkImageReslice vtkImageResample::Superclass

| Reimplemented from vtkImageReslice. Definition at line 56 of file vtkImageResample.h.

## Constructor & Destructor Documentation

vtkImageResample::vtkImageResample | ( |  | ) | `[protected]`

vtkImageResample::~vtkImageResample | ( |  | ) | `[inline, protected]`

| Definition at line 81 of file vtkImageResample.h.

## Member Function Documentation

vtkImageResample* vtkImageResample::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageReslice.

virtual const char* vtkImageResample::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageReslice.

int vtkImageResample::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReslice.

virtual int vtkImageResample::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReslice.

vtkImageResample* vtkImageResample::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageReslice.

void vtkImageResample::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageReslice.

void vtkImageResample::SetAxisOutputSpacing | ( | int | axis,
|  | float | spacing
| ) |

| Set desired spacing. Zero is a reserved value indicating spacing has not been set.

void vtkImageResample::SetAxisMagnificationFactor | ( | int | axis,
|  | float | factor
| ) |

| Set/Get Magnification factors. Zero is a reserved value indicating values have not been computed.

float vtkImageResample::GetAxisMagnificationFactor | ( | int | axis | ) |

| Set/Get Magnification factors. Zero is a reserved value indicating values have not been computed.

virtual void vtkImageResample::SetDimensionality | ( | int |  | ) | `[virtual]`

| Dimensionality is the number of axes which are considered during execution. To process images dimensionality would be set to 2. This has the same effect as setting the magnification of the third axis to 1.0

virtual int vtkImageResample::GetDimensionality | ( |  | ) | `[virtual]`

| Dimensionality is the number of axes which are considered during execution. To process images dimensionality would be set to 2. This has the same effect as setting the magnification of the third axis to 1.0

void vtkImageResample::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageReslice.

void vtkImageResample::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageReslice. Definition at line 88 of file vtkImageResample.h.

## Member Data Documentation

float vtkImageResample::MagnificationFactors[3]`[protected]`

| Definition at line 83 of file vtkImageResample.h.

float vtkImageResample::OutputSpacing[3]`[protected]`

| Reimplemented from vtkImageReslice. Definition at line 84 of file vtkImageResample.h.

int vtkImageResample::Dimensionality`[protected]`

| Definition at line 85 of file vtkImageResample.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageResample.h